lkml.org 
[lkml]   [2012]   [Sep]   [17]   [last100]   RSS Feed
Views: [wrap][no wrap]   [headers]  [forward] 
 
Messages in this thread
/
Date
From
SubjectRe: [PATCH 2/8] gpio: pl061 depends on ARM
On Fri, Sep 14, 2012 at 06:23:57PM +0200, Davide Ciminaghi wrote:
> From: Alessandro Rubini <rubini@gnudd.com>
>
> Patch dece904d itroduced chained_irq_enter/exit, which is only
> available for arch/arm and the driver won't compile elsewhere.
>
> The dependency is thus made explicit, because AMBA is used in the x86
> world by a PCI-to-AMBA bridge, to be submitted.
>
> Signed-off-by: Alessandro Rubini <rubini@gnudd.com>
> Acked-by: Giancarlo Asnaghi <giancarlo.asnaghi@st.com>

The real solution to this is to stop the madness that chained_irq_enter/
chained_irq_exit are both ARM-only.


\
 
 \ /
  Last update: 2012-09-18 00:21    [from the cache]
©2003-2011 Jasper Spaans. Advertise on this site